Subject: [PATCH 1/3] ARM: omap2+: set IRQCHIP_SKIP_SET_WAKE for INTC interrupts.

From: [email-masked] (Kevin Hilman)
Date: Thu, 26 Apr 2012 13:08:08 -0700

NeilBrown <[email-masked]> writes:

> All interrupts can wake-from-sleep (I think) so it should be
> permissible to call enable_irq_wake().  Setting this flag allows that.
>
> It is needed because without this, an interrupt which is delivered
> during late suspend will get ignored but will not cause suspend to
> abort.
> If enable_irq_wake() is called and succeeds, check_wakuep_irqs()
> will abort the suspend if the interrupt has fired.
>
> Signed-off-by: NeilBrown <[email-masked]>

Acked-by: Kevin Hilman <[email-masked]>

Tony, should I queue this one in my OMAP PM features for v3.5 branch?
or do you want to take it?

Kevin